Bug 999960 - (CVE-2013-2891) CVE-2013-2891 Kernel: HID: steelseries: heap overflow flaw
CVE-2013-2891 Kernel: HID: steelseries: heap overflow flaw
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130829,repor...
: Security
Depends On: 999962 1002555
Blocks: 999956
  Show dependency treegraph
 
Reported: 2013-08-22 09:05 EDT by Prasad J Pandit
Modified: 2015-10-15 13:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 02:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-08-22 09:05:23 EDT
Linux kernel built with the Human Interface Device Bus support(CONFIG_HID)
along with a driver for the Steelseries SRW-S1 steering wheel
(CONFIG_HID_STEELSERIES) is vulnerable to a heap overflow flaw. It could occur
when an HID device sends malicious output report to the kernel driver.

A local user with physical access to the system could use this flaw to crash
the kernel resulting in DoS or potential privilege escalation to gain root
access via arbitrary code execution.
Comment 1 Prasad J Pandit 2013-08-22 09:07:04 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 4 Prasad J Pandit 2013-08-29 08:53:09 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002555]
Comment 6 Fedora Update System 2013-09-12 21:03:44 EDT
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-15 20:25:40 EDT
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.